Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.model
Class MiningMartProjection

    java.lang.Object
      org.musoft.limo.model.ModelElement
          org.musoft.limo.model.ModelConnectionElement
              edu.udo.cs.miningmart.gui.model.MiningMartProjection

    public class MiningMartProjection

extends org.musoft.limo.model.ModelConnectionElement

Version:
  $Id: MiningMartProjection.java,v 1.6 2006/09/27 15:00:00 euler Exp $
Author:
  Daniel Hakenjos

Constructor Summary
`MiningMartProjection()`
`MiningMartProjection(MiningMartApplication app, Projection projection, java.lang.String name, org.musoft.limo.model.Model model, org.musoft.limo.model.ModelFigureElement start, org.musoft.limo.model.ModelFigureElement end)` Constructs new `MiningMartRelation` with the given parameters.

Method Summary
`boolean` | `canConnect(org.musoft.limo.model.ModelFigureElement start, org.musoft.limo.model.ModelFigureElement end)`
`boolean` | `canDeleteInDatabase()` Gets the flag indicating that this obkect can be deleted in the database.
`boolean` | `canDestroy()`
`boolean` | `canSetName(java.lang.String name)`
`void` | `destroy()` Destroys this `MiningMartRelation` and deletes the `Relation`.
`protected java.lang.Class` | `getEndClass()` Gets the end class.
`protected java.lang.String` | `getEndName()` Gets the end name.
`MiningMartApplication` | `getMMartApplication()` Gets the `MiningMartApplication`.
`Projection` | `getProjection()`
`protected java.lang.Class` | `getStartClass()` Gets the start-class.
`protected java.lang.String` | `getStartName()` Gets the start-name.
`java.lang.String` | `getType()`
`void` | `primitiveAttributeChanged(org.musoft.limo.model.ModelPrimitiveAttribute mpa)` If the description of this `MiningMartRelation` changed then set the documentation of the underlying `Relation`.
`void` | `setDeleteInDatabase(boolean bool)` Sets the flag that this object could be deleted in the database.
`void` | `setMMartApplication(MiningMartApplication app)` Sets the `MiningMartApplication`.
`java.lang.String` | `toString()`

Methods inherited from class org.musoft.limo.model.ModelConnectionElement
`getEnd, getFullName, getModel, getPoints, getStart, setEnd, setModel, setPoints, setStart`

Methods inherited from class org.musoft.limo.model.ModelElement
`addAttribute, addAttributeNew, addListener, associationEndChanged, changed, clear, dump, fireDestroy, fireSetName, getAttribute, getAttribute, getAttributeCount, getChildOrConnection, getListener, getListenerCount, getName, getRootModel, indexOfAttribute, removeListener, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MiningMartProjection

    public MiningMartProjection()

### MiningMartProjection

    public MiningMartProjection(MiningMartApplication app,
                                Projection projection,
                                java.lang.String name,
                                org.musoft.limo.model.Model model,
                                org.musoft.limo.model.ModelFigureElement start,
                                org.musoft.limo.model.ModelFigureElement end)

  Constructs new `MiningMartRelation` with the given parameters.

  Parameters:
    `name` - the name of the output- and input-concept

Method Detail

### setMMartApplication

    public void setMMartApplication(MiningMartApplication app)

  Sets the `MiningMartApplication`.

### getMMartApplication

    public MiningMartApplication getMMartApplication()

  Gets the `MiningMartApplication`.

### setDeleteInDatabase

    public void setDeleteInDatabase(boolean bool)

  Sets the flag that this object could be deleted in the database.

### canDeleteInDatabase

    public boolean canDeleteInDatabase()

  Gets the flag indicating that this obkect can be deleted in the database.

### canConnect

    public boolean canConnect(org.musoft.limo.model.ModelFigureElement start,
                              org.musoft.limo.model.ModelFigureElement end)

  Overrides:
    `canConnect` in class `org.musoft.limo.model.ModelConnectionElement`

### getStartClass

    protected java.lang.Class getStartClass()

  Gets the start-class.

  Specified by:
    `getStartClass` in class `org.musoft.limo.model.ModelConnectionElement`

### getStartName

    protected java.lang.String getStartName()

  Gets the start-name.

  Specified by:
    `getStartName` in class `org.musoft.limo.model.ModelConnectionElement`

### getEndClass

    protected java.lang.Class getEndClass()

  Gets the end class.

  Specified by:
    `getEndClass` in class `org.musoft.limo.model.ModelConnectionElement`

### getEndName

    protected java.lang.String getEndName()

  Gets the end name.

  Specified by:
    `getEndName` in class `org.musoft.limo.model.ModelConnectionElement`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.musoft.limo.model.ModelElement`

### canDestroy

    public boolean canDestroy()

  Overrides:
    `canDestroy` in class `org.musoft.limo.model.ModelElement`

### getType

    public java.lang.String getType()

  Overrides:
    `getType` in class `org.musoft.limo.model.ModelElement`

### destroy

    public void destroy()

  Destroys this `MiningMartRelation` and deletes the `Relation`.

  Overrides:
    `destroy` in class `org.musoft.limo.model.ModelConnectionElement`
  See Also:
    `ModelElement.destroy()`

### canSetName

    public boolean canSetName(java.lang.String name)

  Overrides:
    `canSetName` in class `org.musoft.limo.model.ModelConnectionElement`
  See Also:
    `ModelElement.canSetName(String)`

### getProjection

    public Projection getProjection()

### primitiveAttributeChanged

    public void primitiveAttributeChanged(org.musoft.limo.model.ModelPrimitiveAttribute mpa)

  If the description of this `MiningMartRelation` changed then set the documentation of the underlying `Relation`.

  Overrides:
    `primitiveAttributeChanged` in class `org.musoft.limo.model.ModelElement`
  See Also:
    `ModelElement.primitiveAttributeChanged(ModelPrimitiveAttribute)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005